/***************************************************************************
 *   Copyright (C) 2005 by David Voswinkel                                 *
 *   d.voswinkel@netcologne.de                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KBTSCO_H_
#define _KBTSCO_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kuniqueapplication.h>
#include <kapplication.h>
#include <kmainwindow.h>

class KConfig;
class TrayIcon;
class QTimer;

class KBtsco: public KUniqueApplication
{
    Q_OBJECT
    public:
        KBtsco();
        ~KBtsco();
        virtual int newInstance();
    private slots:
        void configUpdate();
        void checkShutdown();
    private:
        KConfig *m_config;
        bool bFirstNewInstance;
        TrayIcon *m_trayIcon;
};


#endif
